;; This is obsoleted by xdvi-18. If you have an older version of 
;; xdvi, merge this into tex-send-fax.el. 

;; preview a fax with dvips and ghostview

(defun tex-send-fax-preview ()
"Preview a fax with dvips and ghostview. xdvi cannot handle
EPSF \special statements. An external shell command is used:
/usr/local/bin/tex-send-fax-preview

Appended files are not shown but checked for readability (see 
tex-send-fax).

Keys: C-c C-y
"
  (interactive)
  (tex-send-fax-process)
  (if (file-readable-p tex-send-fax-dvi-file)
      (progn
	(setq tex-send-fax-preview-command 
	      (concat 
	       "/usr/local/bin/tex-send-fax-preview " 
	       tex-send-fax-dvi-file))
	(comint-simple-send "tex-shell" tex-send-fax-preview-command))
    (message "file not found: %s" tex-send-fax-dvi-file)))


